Bug 1595037 (CVE-2018-5156) - CVE-2018-5156 Mozilla: Media recorder segmentation fault when track type is changed during capture
Summary: CVE-2018-5156 Mozilla: Media recorder segmentation fault when track type is c...
Status: NEW
Alias: CVE-2018-5156
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180626,repo...
Keywords: Security
Depends On: 1590694 1590696 1590697
Blocks: 1590698
TreeView+ depends on / blocked
 
Reported: 2018-06-26 01:53 UTC by Doran Moppert
Modified: 2018-07-06 05:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:19 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:19 UTC

Description Doran Moppert 2018-06-26 01:53:25 UTC
An vulnerability can occur when capturing a media stream when the media source type is changed as the capture is occuring. This can result in stream data being cast to the wrong type causing a potentially exploitable crash. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-16/#CVE-2018-5156

Comment 1 Doran Moppert 2018-06-26 01:53:29 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 5 errata-xmlrpc 2018-06-28 16:19:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 6 errata-xmlrpc 2018-06-28 16:19:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113


Note You need to log in before you can comment on or make changes to this bug.